<?php

namespace Intergo\InventoryClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class InventoryApiHandler extends ApiHandler
{
    protected static $endpoints = [
        /** Countries  */
        'getAllCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/countries'],
        'getCountryCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/countries/{code}/cities'],
        'getUSStates' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/countries/us/states'],
        'getStateCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/countries/us/states/{code}/cities'],
        'getInventoryAvailableCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/countries/available'],

        /** Numbers */
        'getNumbersForUser' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/numbers'],

        /** Number Types */
        'getNumberTypes' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/number-types'],

        /** Keywords */
        'getKeywordExamples' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/keywords/examples'],
    ];
}